Bug 275145 - Segfault
Summary: Segfault
Status: RESOLVED FIXED
Alias: None
Product: kdevelop
Classification: Unclassified
Component: general (show other bugs)
Version: 4.2.60
Platform: Compiled Sources Linux
: NOR crash (vote)
Target Milestone: 4.2.0
Assignee: kdevelop-bugs-null
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-07 20:05 UTC by Eric Thiele
Modified: 2011-06-08 19:54 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eric Thiele 2011-06-07 20:05:03 UTC
Application: kdevelop (4.2.60)
KDE Platform Version: 4.6.3 (4.6.3) (Compiled from sources)
Qt Version: 4.7.3
Operating System: Linux 2.6.38-gentoo-r5 x86_64
Distribution (Platform): Gentoo Packages

-- Information about the crash:
- What I was doing when the application crashed:

make a change pres CommitChanges? then cancel Review and at make a second change and at least  try to save file (Ctrl+S)

kdevplatform v1.2.2-550-g4ad75b0
kdevelop v4.2.2-236-gd5c9aa6

The crash can be reproduced every time.

-- Backtrace:
Application: KDevelop (kdevelop), signal: Segmentation fault
[Current thread is 1 (Thread 0x7f277fe0b760 (LWP 779))]

Thread 20 (Thread 0x7f27699f8700 (LWP 808)):
#0  0x00007f277cd469ab in pthread_cond_timedwait () from /lib64/libpthread.so.0
#1  0x00007f277e2ea542 in wait (this=<value optimized out>, mutex=0x1889d60, time=1000) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x1889d60, time=1000) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f277ab277ab in KDevelop::DUChainPrivate::CleanupThread::run (this=0x1889d40) at /var/tmp/portage/dev-util/kdevplatform-9999/work/kdevplatform-9999/language/duchain/duchain.cpp:286
#4  0x00007f277e2e9ef5 in QThreadPrivate::start (arg=0x1889d40) at thread/qthread_unix.cpp:320
#5  0x00007f277cd41d4c in start_thread () from /lib64/libpthread.so.0
#6  0x00007f277d02f40d in clone () from /lib64/libc.so.6

Thread 19 (Thread 0x7f27561e3700 (LWP 811)):
#0  postEventSourcePrepare (s=0x2304e30, timeout=0x7f27561e2c9c) at kernel/qeventdispatcher_glib.cpp:266
#1  0x00007f2777f7faa7 in g_main_context_prepare () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f2777f809c9 in ?? () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f2777f8106d in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#4  0x00007f277e3fdbb6 in QEventDispatcherGlib::processEvents (this=0x2335190, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#5  0x00007f277e3d1e62 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#6  0x00007f277e3d20ac in QEventLoop::exec (this=0x7f27561e2e20, flags=...) at kernel/qeventloop.cpp:201
#7  0x00007f277e2e7694 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:492
#8  0x00007f277e2e9ef5 in QThreadPrivate::start (arg=0x2334b60) at thread/qthread_unix.cpp:320
#9  0x00007f277cd41d4c in start_thread () from /lib64/libpthread.so.0
#10 0x00007f277d02f40d in clone () from /lib64/libc.so.6

Thread 18 (Thread 0x7f27559e2700 (LWP 812)):
#0  0x00007f277d0265e3 in poll () from /lib64/libc.so.6
#1  0x00007f2777f80b34 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f2777f8106d in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f277e3fdbb6 in QEventDispatcherGlib::processEvents (this=0x2305b50, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#4  0x00007f277e3d1e62 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f277e3d20ac in QEventLoop::exec (this=0x7f27559e1e20, flags=...) at kernel/qeventloop.cpp:201
#6  0x00007f277e2e7694 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:492
#7  0x00007f277e2e9ef5 in QThreadPrivate::start (arg=0x232a980) at thread/qthread_unix.cpp:320
#8  0x00007f277cd41d4c in start_thread () from /lib64/libpthread.so.0
#9  0x00007f277d02f40d in clone () from /lib64/libc.so.6

Thread 17 (Thread 0x7f2752b0a700 (LWP 818)):
#0  0x00007f277cd4662c in pthread_cond_wait () from /lib64/libpthread.so.0
#1  0x00007f276bf8ea54 in ?? () from /usr/lib64/qt4/libQtScript.so.4
#2  0x00007f276bf8ea89 in ?? () from /usr/lib64/qt4/libQtScript.so.4
#3  0x00007f277cd41d4c in start_thread () from /lib64/libpthread.so.0
#4  0x00007f277d02f40d in clone () from /lib64/libc.so.6

Thread 16 (Thread 0x7f2751cea700 (LWP 846)):
#0  0x00007f277d0265e3 in poll () from /lib64/libc.so.6
#1  0x00007f2777f80b34 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f2777f8106d in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f277e3fdbb6 in QEventDispatcherGlib::processEvents (this=0x5c018a0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#4  0x00007f277e3d1e62 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f277e3d20ac in QEventLoop::exec (this=0x7f2751ce9de0, flags=...) at kernel/qeventloop.cpp:201
#6  0x00007f277e2e7694 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:492
#7  0x00007f277e3b3828 in QInotifyFileSystemWatcherEngine::run (this=0x5bffb20) at io/qfilesystemwatcher_inotify.cpp:248
#8  0x00007f277e2e9ef5 in QThreadPrivate::start (arg=0x5bffb20) at thread/qthread_unix.cpp:320
#9  0x00007f277cd41d4c in start_thread () from /lib64/libpthread.so.0
#10 0x00007f277d02f40d in clone () from /lib64/libc.so.6

Thread 15 (Thread 0x7f2750608700 (LWP 940)):
#0  0x00007f277cd4662c in pthread_cond_wait () from /lib64/libpthread.so.0
#1  0x00007f27752c2284 in ?? () from /usr/lib64/qt4/libQtWebKit.so.4
#2  0x00007f277cd41d4c in start_thread () from /lib64/libpthread.so.0
#3  0x00007f277d02f40d in clone () from /lib64/libc.so.6

Thread 14 (Thread 0x7f274ed1f700 (LWP 1474)):
#0  QTimerInfoList::timerWait (this=0x7f27640028c0, tm=...) at kernel/qeventdispatcher_unix.cpp:443
#1  0x00007f277e3fd39c in timerSourcePrepareHelper (src=<value optimized out>, timeout=0x7f274ed1ec5c) at kernel/qeventdispatcher_glib.cpp:136
#2  0x00007f277e3fd445 in timerSourcePrepare (source=<value optimized out>, timeout=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:169
#3  0x00007f2777f7faa7 in g_main_context_prepare () from /usr/lib64/libglib-2.0.so.0
#4  0x00007f2777f809c9 in ?? () from /usr/lib64/libglib-2.0.so.0
#5  0x00007f2777f8106d in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#6  0x00007f277e3fdbb6 in QEventDispatcherGlib::processEvents (this=0x5398af0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#7  0x00007f277e3d1e62 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#8  0x00007f277e3d20ac in QEventLoop::exec (this=0x7f274ed1ede0, flags=...) at kernel/qeventloop.cpp:201
#9  0x00007f277e2e7694 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:492
#10 0x00007f277e3b3828 in QInotifyFileSystemWatcherEngine::run (this=0x7f54290) at io/qfilesystemwatcher_inotify.cpp:248
#11 0x00007f277e2e9ef5 in QThreadPrivate::start (arg=0x7f54290) at thread/qthread_unix.cpp:320
#12 0x00007f277cd41d4c in start_thread () from /lib64/libpthread.so.0
#13 0x00007f277d02f40d in clone () from /lib64/libc.so.6

Thread 13 (Thread 0x7f274dd1d700 (LWP 1476)):
#0  0x00007f277d0265e3 in poll () from /lib64/libc.so.6
#1  0x00007f2777f80b34 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f2777f8106d in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f277e3fdbb6 in QEventDispatcherGlib::processEvents (this=0x7f27641149c0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#4  0x00007f277e3d1e62 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f277e3d20ac in QEventLoop::exec (this=0x7f274dd1cde0, flags=...) at kernel/qeventloop.cpp:201
#6  0x00007f277e2e7694 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:492
#7  0x00007f277e3b3828 in QInotifyFileSystemWatcherEngine::run (this=0x92cbc40) at io/qfilesystemwatcher_inotify.cpp:248
#8  0x00007f277e2e9ef5 in QThreadPrivate::start (arg=0x92cbc40) at thread/qthread_unix.cpp:320
#9  0x00007f277cd41d4c in start_thread () from /lib64/libpthread.so.0
#10 0x00007f277d02f40d in clone () from /lib64/libc.so.6

Thread 12 (Thread 0x7f274cd1b700 (LWP 1478)):
#0  0x00007f277cd44372 in pthread_mutex_lock () from /lib64/libpthread.so.0
#1  0x00007f2777f7fe73 in g_main_context_query () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f2777f80a3b in ?? () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f2777f8106d in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#4  0x00007f277e3fdbb6 in QEventDispatcherGlib::processEvents (this=0x4674650, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#5  0x00007f277e3d1e62 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#6  0x00007f277e3d20ac in QEventLoop::exec (this=0x7f274cd1ade0, flags=...) at kernel/qeventloop.cpp:201
#7  0x00007f277e2e7694 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:492
#8  0x00007f277e3b3828 in QInotifyFileSystemWatcherEngine::run (this=0x7f276415b660) at io/qfilesystemwatcher_inotify.cpp:248
#9  0x00007f277e2e9ef5 in QThreadPrivate::start (arg=0x7f276415b660) at thread/qthread_unix.cpp:320
#10 0x00007f277cd41d4c in start_thread () from /lib64/libpthread.so.0
#11 0x00007f277d02f40d in clone () from /lib64/libc.so.6

Thread 11 (Thread 0x7f2747fff700 (LWP 1479)):
#0  0x00007f277d0265e3 in poll () from /lib64/libc.so.6
#1  0x00007f2777f80b34 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f2777f8106d in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f277e3fdbb6 in QEventDispatcherGlib::processEvents (this=0x7895640, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#4  0x00007f277e3d1e62 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f277e3d20ac in QEventLoop::exec (this=0x7f2747ffede0, flags=...) at kernel/qeventloop.cpp:201
#6  0x00007f277e2e7694 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:492
#7  0x00007f277e3b3828 in QInotifyFileSystemWatcherEngine::run (this=0x957cda0) at io/qfilesystemwatcher_inotify.cpp:248
#8  0x00007f277e2e9ef5 in QThreadPrivate::start (arg=0x957cda0) at thread/qthread_unix.cpp:320
#9  0x00007f277cd41d4c in start_thread () from /lib64/libpthread.so.0
#10 0x00007f277d02f40d in clone () from /lib64/libc.so.6

Thread 10 (Thread 0x7f27477fe700 (LWP 1480)):
#0  0x00007f277d0265e3 in poll () from /lib64/libc.so.6
#1  0x00007f2777f80b34 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f2777f8106d in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f277e3fdbb6 in QEventDispatcherGlib::processEvents (this=0x4e1d780, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#4  0x00007f277e3d1e62 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f277e3d20ac in QEventLoop::exec (this=0x7f27477fdde0, flags=...) at kernel/qeventloop.cpp:201
#6  0x00007f277e2e7694 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:492
#7  0x00007f277e3b3828 in QInotifyFileSystemWatcherEngine::run (this=0x7f27481533d0) at io/qfilesystemwatcher_inotify.cpp:248
#8  0x00007f277e2e9ef5 in QThreadPrivate::start (arg=0x7f27481533d0) at thread/qthread_unix.cpp:320
#9  0x00007f277cd41d4c in start_thread () from /lib64/libpthread.so.0
#10 0x00007f277d02f40d in clone () from /lib64/libc.so.6

Thread 9 (Thread 0x7f2746ffd700 (LWP 1481)):
#0  0x00007f277d0265e3 in poll () from /lib64/libc.so.6
#1  0x00007f2777f80b34 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f2777f8106d in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f277e3fdbb6 in QEventDispatcherGlib::processEvents (this=0x91da010, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#4  0x00007f277e3d1e62 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f277e3d20ac in QEventLoop::exec (this=0x7f2746ffcde0, flags=...) at kernel/qeventloop.cpp:201
#6  0x00007f277e2e7694 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:492
#7  0x00007f277e3b3828 in QInotifyFileSystemWatcherEngine::run (this=0x96405c0) at io/qfilesystemwatcher_inotify.cpp:248
#8  0x00007f277e2e9ef5 in QThreadPrivate::start (arg=0x96405c0) at thread/qthread_unix.cpp:320
#9  0x00007f277cd41d4c in start_thread () from /lib64/libpthread.so.0
#10 0x00007f277d02f40d in clone () from /lib64/libc.so.6

Thread 8 (Thread 0x7f2745ffb700 (LWP 1483)):
#0  0x00007f277d0265e3 in poll () from /lib64/libc.so.6
#1  0x00007f2777f80b34 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f2777f8106d in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f277e3fdbb6 in QEventDispatcherGlib::processEvents (this=0x7e792a0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#4  0x00007f277e3d1e62 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f277e3d20ac in QEventLoop::exec (this=0x7f2745ffade0, flags=...) at kernel/qeventloop.cpp:201
#6  0x00007f277e2e7694 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:492
#7  0x00007f277e3b3828 in QInotifyFileSystemWatcherEngine::run (this=0x7f27401db2f0) at io/qfilesystemwatcher_inotify.cpp:248
#8  0x00007f277e2e9ef5 in QThreadPrivate::start (arg=0x7f27401db2f0) at thread/qthread_unix.cpp:320
#9  0x00007f277cd41d4c in start_thread () from /lib64/libpthread.so.0
#10 0x00007f277d02f40d in clone () from /lib64/libc.so.6

Thread 7 (Thread 0x7f2744ff9700 (LWP 1485)):
#0  0x00007f277d0265e3 in poll () from /lib64/libc.so.6
#1  0x00007f2777f80b34 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f2777f8106d in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f277e3fdbb6 in QEventDispatcherGlib::processEvents (this=0x47fff10, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#4  0x00007f277e3d1e62 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f277e3d20ac in QEventLoop::exec (this=0x7f2744ff8de0, flags=...) at kernel/qeventloop.cpp:201
#6  0x00007f277e2e7694 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:492
#7  0x00007f277e3b3828 in QInotifyFileSystemWatcherEngine::run (this=0x7f273c01c620) at io/qfilesystemwatcher_inotify.cpp:248
#8  0x00007f277e2e9ef5 in QThreadPrivate::start (arg=0x7f273c01c620) at thread/qthread_unix.cpp:320
#9  0x00007f277cd41d4c in start_thread () from /lib64/libpthread.so.0
#10 0x00007f277d02f40d in clone () from /lib64/libc.so.6

Thread 6 (Thread 0x7f273b7fe700 (LWP 1505)):
#0  0x00007f277cd469ab in pthread_cond_timedwait () from /lib64/libpthread.so.0
#1  0x00007f277e2ea542 in wait (this=<value optimized out>, mutex=0x9242cc8, time=1000) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x9242cc8, time=1000) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f27569c9bc0 in CPPParseJob::includePaths (this=0x9242bd0) at /var/tmp/portage/dev-util/kdevelop-9999/work/kdevelop-9999/languages/cpp/cppparsejob.cpp:243
#4  0x00007f27569c9dc6 in CPPParseJob::mergeDefines (this=0x9242bd0, env=...) at /var/tmp/portage/dev-util/kdevelop-9999/work/kdevelop-9999/languages/cpp/cppparsejob.cpp:206
#5  0x00007f27569d3ca2 in PreprocessJob::run (this=0x9a56650) at /var/tmp/portage/dev-util/kdevelop-9999/work/kdevelop-9999/languages/cpp/preprocessjob.cpp:178
#6  0x00007f2775b19ae1 in ThreadWeaver::JobRunHelper::runTheJob (this=0x7f273b7fdd80, th=0xa9cf050, job=0x9a56650) at /var/tmp/portage/kde-base/kdelibs-4.6.3-r2/work/kdelibs-4.6.3/threadweaver/Weaver/Job.cpp:106
#7  0x00007f2775b19c1e in ThreadWeaver::Job::execute (this=0x9a56650, th=0xa9cf050) at /var/tmp/portage/kde-base/kdelibs-4.6.3-r2/work/kdelibs-4.6.3/threadweaver/Weaver/Job.cpp:135
#8  0x00007f2775b1aed3 in ThreadWeaver::JobCollectionJobRunner::execute (this=<value optimized out>, t=0xa9cf050) at /var/tmp/portage/kde-base/kdelibs-4.6.3-r2/work/kdelibs-4.6.3/threadweaver/Weaver/JobCollection.cpp:82
#9  0x00007f2775b193cf in ThreadWeaver::ThreadRunHelper::run (this=0x7f273b7fde30, parent=0x9bba20, th=0xa9cf050) at /var/tmp/portage/kde-base/kdelibs-4.6.3-r2/work/kdelibs-4.6.3/threadweaver/Weaver/Thread.cpp:95
#10 0x00007f2775b19488 in ThreadWeaver::Thread::run (this=0xa9cf050) at /var/tmp/portage/kde-base/kdelibs-4.6.3-r2/work/kdelibs-4.6.3/threadweaver/Weaver/Thread.cpp:142
#11 0x00007f277e2e9ef5 in QThreadPrivate::start (arg=0xa9cf050) at thread/qthread_unix.cpp:320
#12 0x00007f277cd41d4c in start_thread () from /lib64/libpthread.so.0
#13 0x00007f277d02f40d in clone () from /lib64/libc.so.6

Thread 5 (Thread 0x7f273affd700 (LWP 1506)):
#0  0x00007f277cd469ab in pthread_cond_timedwait () from /lib64/libpthread.so.0
#1  0x00007f277e2ea542 in wait (this=<value optimized out>, mutex=0x8568ec8, time=1000) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x8568ec8, time=1000) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f27569c9bc0 in CPPParseJob::includePaths (this=0x8568dd0) at /var/tmp/portage/dev-util/kdevelop-9999/work/kdevelop-9999/languages/cpp/cppparsejob.cpp:243
#4  0x00007f27569c9dc6 in CPPParseJob::mergeDefines (this=0x8568dd0, env=...) at /var/tmp/portage/dev-util/kdevelop-9999/work/kdevelop-9999/languages/cpp/cppparsejob.cpp:206
#5  0x00007f27569d3ca2 in PreprocessJob::run (this=0xc268780) at /var/tmp/portage/dev-util/kdevelop-9999/work/kdevelop-9999/languages/cpp/preprocessjob.cpp:178
#6  0x00007f2775b19ae1 in ThreadWeaver::JobRunHelper::runTheJob (this=0x7f273affcd80, th=0xa9c25d0, job=0xc268780) at /var/tmp/portage/kde-base/kdelibs-4.6.3-r2/work/kdelibs-4.6.3/threadweaver/Weaver/Job.cpp:106
#7  0x00007f2775b19c1e in ThreadWeaver::Job::execute (this=0xc268780, th=0xa9c25d0) at /var/tmp/portage/kde-base/kdelibs-4.6.3-r2/work/kdelibs-4.6.3/threadweaver/Weaver/Job.cpp:135
#8  0x00007f2775b1aed3 in ThreadWeaver::JobCollectionJobRunner::execute (this=<value optimized out>, t=0xa9c25d0) at /var/tmp/portage/kde-base/kdelibs-4.6.3-r2/work/kdelibs-4.6.3/threadweaver/Weaver/JobCollection.cpp:82
#9  0x00007f2775b193cf in ThreadWeaver::ThreadRunHelper::run (this=0x7f273affce30, parent=0x9bba20, th=0xa9c25d0) at /var/tmp/portage/kde-base/kdelibs-4.6.3-r2/work/kdelibs-4.6.3/threadweaver/Weaver/Thread.cpp:95
#10 0x00007f2775b19488 in ThreadWeaver::Thread::run (this=0xa9c25d0) at /var/tmp/portage/kde-base/kdelibs-4.6.3-r2/work/kdelibs-4.6.3/threadweaver/Weaver/Thread.cpp:142
#11 0x00007f277e2e9ef5 in QThreadPrivate::start (arg=0xa9c25d0) at thread/qthread_unix.cpp:320
#12 0x00007f277cd41d4c in start_thread () from /lib64/libpthread.so.0
#13 0x00007f277d02f40d in clone () from /lib64/libc.so.6

Thread 4 (Thread 0x7f273a7fc700 (LWP 1507)):
#0  0x00007f277cd4662c in pthread_cond_wait () from /lib64/libpthread.so.0
#1  0x00007f277e2ea5db in wait (this=<value optimized out>, mutex=0x962fb0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x962fb0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f2775b17f84 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x9bba20, th=0x7f273c225080) at /var/tmp/portage/kde-base/kdelibs-4.6.3-r2/work/kdelibs-4.6.3/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f2775b1a613 in ThreadWeaver::WorkingHardState::applyForWork (this=0x925ea0, th=0x7f273c225080) at /var/tmp/portage/kde-base/kdelibs-4.6.3-r2/work/kdelibs-4.6.3/threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f2775b193ff in ThreadWeaver::ThreadRunHelper::run (this=0x7f273a7fbe30, parent=0x9bba20, th=0x7f273c225080) at /var/tmp/portage/kde-base/kdelibs-4.6.3-r2/work/kdelibs-4.6.3/threadweaver/Weaver/Thread.cpp:87
#6  0x00007f2775b19488 in ThreadWeaver::Thread::run (this=0x7f273c225080) at /var/tmp/portage/kde-base/kdelibs-4.6.3-r2/work/kdelibs-4.6.3/threadweaver/Weaver/Thread.cpp:142
#7  0x00007f277e2e9ef5 in QThreadPrivate::start (arg=0x7f273c225080) at thread/qthread_unix.cpp:320
#8  0x00007f277cd41d4c in start_thread () from /lib64/libpthread.so.0
#9  0x00007f277d02f40d in clone () from /lib64/libc.so.6

Thread 3 (Thread 0x7f2739ffb700 (LWP 1508)):
#0  0x00007f277cd4662c in pthread_cond_wait () from /lib64/libpthread.so.0
#1  0x00007f277e2ea5db in wait (this=<value optimized out>, mutex=0x962fb0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x962fb0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f2775b17f84 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x9bba20, th=0x7f273c2159d0) at /var/tmp/portage/kde-base/kdelibs-4.6.3-r2/work/kdelibs-4.6.3/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f2775b1a613 in ThreadWeaver::WorkingHardState::applyForWork (this=0x925ea0, th=0x7f273c2159d0) at /var/tmp/portage/kde-base/kdelibs-4.6.3-r2/work/kdelibs-4.6.3/threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f2775b1a62c in ThreadWeaver::WorkingHardState::applyForWork (this=0x925ea0, th=0x7f273c2159d0) at /var/tmp/portage/kde-base/kdelibs-4.6.3-r2/work/kdelibs-4.6.3/threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007f2775b1a62c in ThreadWeaver::WorkingHardState::applyForWork (this=0x925ea0, th=0x7f273c2159d0) at /var/tmp/portage/kde-base/kdelibs-4.6.3-r2/work/kdelibs-4.6.3/threadweaver/Weaver/WorkingHardState.cpp:74
#7  0x00007f2775b1a62c in ThreadWeaver::WorkingHardState::applyForWork (this=0x925ea0, th=0x7f273c2159d0) at /var/tmp/portage/kde-base/kdelibs-4.6.3-r2/work/kdelibs-4.6.3/threadweaver/Weaver/WorkingHardState.cpp:74
#8  0x00007f2775b1a62c in ThreadWeaver::WorkingHardState::applyForWork (this=0x925ea0, th=0x7f273c2159d0) at /var/tmp/portage/kde-base/kdelibs-4.6.3-r2/work/kdelibs-4.6.3/threadweaver/Weaver/WorkingHardState.cpp:74
#9  0x00007f2775b1a62c in ThreadWeaver::WorkingHardState::applyForWork (this=0x925ea0, th=0x7f273c2159d0) at /var/tmp/portage/kde-base/kdelibs-4.6.3-r2/work/kdelibs-4.6.3/threadweaver/Weaver/WorkingHardState.cpp:74
#10 0x00007f2775b1a62c in ThreadWeaver::WorkingHardState::applyForWork (this=0x925ea0, th=0x7f273c2159d0) at /var/tmp/portage/kde-base/kdelibs-4.6.3-r2/work/kdelibs-4.6.3/threadweaver/Weaver/WorkingHardState.cpp:74
#11 0x00007f2775b1a62c in ThreadWeaver::WorkingHardState::applyForWork (this=0x925ea0, th=0x7f273c2159d0) at /var/tmp/portage/kde-base/kdelibs-4.6.3-r2/work/kdelibs-4.6.3/threadweaver/Weaver/WorkingHardState.cpp:74
#12 0x00007f2775b193ff in ThreadWeaver::ThreadRunHelper::run (this=0x7f2739ffae30, parent=0x9bba20, th=0x7f273c2159d0) at /var/tmp/portage/kde-base/kdelibs-4.6.3-r2/work/kdelibs-4.6.3/threadweaver/Weaver/Thread.cpp:87
#13 0x00007f2775b19488 in ThreadWeaver::Thread::run (this=0x7f273c2159d0) at /var/tmp/portage/kde-base/kdelibs-4.6.3-r2/work/kdelibs-4.6.3/threadweaver/Weaver/Thread.cpp:142
#14 0x00007f277e2e9ef5 in QThreadPrivate::start (arg=0x7f273c2159d0) at thread/qthread_unix.cpp:320
#15 0x00007f277cd41d4c in start_thread () from /lib64/libpthread.so.0
#16 0x00007f277d02f40d in clone () from /lib64/libc.so.6

Thread 2 (Thread 0x7f27397fa700 (LWP 1509)):
#0  0x00007f277cd4662c in pthread_cond_wait () from /lib64/libpthread.so.0
#1  0x00007f277e2ea5db in wait (this=<value optimized out>, mutex=0x962fb0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x962fb0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f2775b17f84 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x9bba20, th=0x7f273c1d7930) at /var/tmp/portage/kde-base/kdelibs-4.6.3-r2/work/kdelibs-4.6.3/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f2775b1a613 in ThreadWeaver::WorkingHardState::applyForWork (this=0x925ea0, th=0x7f273c1d7930) at /var/tmp/portage/kde-base/kdelibs-4.6.3-r2/work/kdelibs-4.6.3/threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f2775b193ff in ThreadWeaver::ThreadRunHelper::run (this=0x7f27397f9e30, parent=0x9bba20, th=0x7f273c1d7930) at /var/tmp/portage/kde-base/kdelibs-4.6.3-r2/work/kdelibs-4.6.3/threadweaver/Weaver/Thread.cpp:87
#6  0x00007f2775b19488 in ThreadWeaver::Thread::run (this=0x7f273c1d7930) at /var/tmp/portage/kde-base/kdelibs-4.6.3-r2/work/kdelibs-4.6.3/threadweaver/Weaver/Thread.cpp:142
#7  0x00007f277e2e9ef5 in QThreadPrivate::start (arg=0x7f273c1d7930) at thread/qthread_unix.cpp:320
#8  0x00007f277cd41d4c in start_thread () from /lib64/libpthread.so.0
#9  0x00007f277d02f40d in clone () from /lib64/libc.so.6

Thread 1 (Thread 0x7f277fe0b760 (LWP 779)):
[KCrash Handler]
#6  PatchReviewPlugin::forceUpdate (this=<value optimized out>) at /var/tmp/portage/dev-util/kdevplatform-9999/work/kdevplatform-9999/plugins/patchreview/patchreview.cpp:1162
#7  0x00007f275e19673c in PatchReviewPlugin::qt_metacall (this=0x2131f50, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff7b52d410) at /var/tmp/portage/dev-util/kdevplatform-9999/work/kdevplatform-9999_build/plugins/patchreview/patchreview.moc:310
#8  0x00007f277e3e72df in QMetaObject::activate (sender=0x92a340, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x7fff7b52d410) at kernel/qobject.cpp:3278
#9  0x00007f277f55abb2 in KDevelop::IDocumentController::documentSaved (this=<value optimized out>, _t1=0x46f2d00) at /var/tmp/portage/dev-util/kdevplatform-9999/work/kdevplatform-9999_build/interfaces/idocumentcontroller.moc:251
#10 0x00007f277f2c1409 in documentSaved (this=0x46f2ce0, _c=<value optimized out>, _id=7, _a=0x7fff7b52d700) at /var/tmp/portage/dev-util/kdevplatform-9999/work/kdevplatform-9999/shell/textdocument.cpp:196
#11 KDevelop::TextDocument::qt_metacall (this=0x46f2ce0, _c=<value optimized out>, _id=7, _a=0x7fff7b52d700) at /var/tmp/portage/dev-util/kdevplatform-9999/work/kdevplatform-9999_build/shell/textdocument.moc:95
#12 0x00007f277e3e72df in QMetaObject::activate (sender=0x46e4090, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x7fff7b52d700) at kernel/qobject.cpp:3278
#13 0x00007f277f0157b0 in KTextEditor::Document::documentSavedOrUploaded (this=<value optimized out>, _t1=0x46e4090, _t2=false) at /var/tmp/portage/kde-base/kdelibs-4.6.3-r2/work/kdelibs-4.6.3_build/interfaces/ktexteditor/document.moc:173
#14 0x00007f276c39275c in KateDocument::slotCompleted (this=0x46e4090) at /var/tmp/portage/kde-base/kdelibs-4.6.3-r2/work/kdelibs-4.6.3/kate/document/katedocument.cpp:4875
#15 0x00007f276c3a3ce4 in KateDocument::qt_metacall (this=0x46e4090, _c=QMetaObject::InvokeMetaMethod, _id=69, _a=0x7fff7b52d8d0) at /var/tmp/portage/kde-base/kdelibs-4.6.3-r2/work/kdelibs-4.6.3_build/kate/katedocument.moc:372
#16 0x00007f277e3e72df in QMetaObject::activate (sender=0x46e4090, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x0) at kernel/qobject.cpp:3278
#17 0x00007f277c12fa61 in KParts::ReadWritePart::saveToUrl (this=<value optimized out>) at /var/tmp/portage/kde-base/kdelibs-4.6.3-r2/work/kdelibs-4.6.3/kparts/part.cpp:950
#18 0x00007f277c12fd2c in KParts::ReadWritePart::save (this=0x46e4090) at /var/tmp/portage/kde-base/kdelibs-4.6.3-r2/work/kdelibs-4.6.3/kparts/part.cpp:881
#19 0x00007f276c38ab41 in KateDocument::documentSave (this=0x46e4090) at /var/tmp/portage/kde-base/kdelibs-4.6.3-r2/work/kdelibs-4.6.3/kate/document/katedocument.cpp:3931
#20 0x00007f276c3a3bf0 in KateDocument::qt_metacall (this=0x46e4090, _c=QMetaObject::InvokeMetaMethod, _id=58, _a=0x7fff7b52dbc0) at /var/tmp/portage/kde-base/kdelibs-4.6.3-r2/work/kdelibs-4.6.3_build/kate/katedocument.moc:358
#21 0x00007f277e3e72df in QMetaObject::activate (sender=0x413d130, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x7fff7b52dbc0) at kernel/qobject.cpp:3278
#22 0x00007f277d7af7b2 in QAction::triggered (this=<value optimized out>, _t1=false) at .moc/release-shared/moc_qaction.cpp:263
#23 0x00007f277d7af9aa in QAction::activate (this=0x413d130, event=<value optimized out>) at kernel/qaction.cpp:1257
#24 0x00007f277d7afb27 in QAction::event (this=<value optimized out>, e=<value optimized out>) at kernel/qaction.cpp:1183
#25 0x00007f277eae946d in KAction::event (this=<value optimized out>, event=0x7fff7b52e250) at /var/tmp/portage/kde-base/kdelibs-4.6.3-r2/work/kdelibs-4.6.3/kdeui/actions/kaction.cpp:131
#26 0x00007f277d7b5e34 in QApplicationPrivate::notify_helper (this=0x63b340, receiver=0x413d130, e=0x7fff7b52e250) at kernel/qapplication.cpp:4462
#27 0x00007f277d7baa0a in QApplication::notify (this=<value optimized out>, receiver=0x413d130, e=0x7fff7b52e250) at kernel/qapplication.cpp:4341
#28 0x00007f277ebcc326 in KApplication::notify (this=0x7fff7b52fa40, receiver=0x413d130, event=0x7fff7b52e250) at /var/tmp/portage/kde-base/kdelibs-4.6.3-r2/work/kdelibs-4.6.3/kdeui/kernel/kapplication.cpp:311
#29 0x00007f277e3d2aac in QCoreApplication::notifyInternal (this=0x7fff7b52fa40, receiver=0x413d130, event=0x7fff7b52e250) at kernel/qcoreapplication.cpp:731
#30 0x00007f277d7e8580 in sendEvent (this=<value optimized out>, e=0x7fff7b52e840) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#31 QShortcutMap::dispatchEvent (this=<value optimized out>, e=0x7fff7b52e840) at kernel/qshortcutmap.cpp:879
#32 0x00007f277d7e9a88 in QShortcutMap::tryShortcutEvent (this=0x63b468, o=<value optimized out>, e=0x7fff7b52e840) at kernel/qshortcutmap.cpp:364
#33 0x00007f277d7bc5bc in QApplication::notify (this=0x7fff7b52fa40, receiver=0x4844330, e=0x7fff7b52e840) at kernel/qapplication.cpp:3904
#34 0x00007f277ebcc326 in KApplication::notify (this=0x7fff7b52fa40, receiver=0x4844330, event=0x7fff7b52e840) at /var/tmp/portage/kde-base/kdelibs-4.6.3-r2/work/kdelibs-4.6.3/kdeui/kernel/kapplication.cpp:311
#35 0x00007f277e3d2aac in QCoreApplication::notifyInternal (this=0x7fff7b52fa40, receiver=0x4844330, event=0x7fff7b52e840) at kernel/qcoreapplication.cpp:731
#36 0x00007f277d857228 in QKeyMapper::sendKeyEvent (keyWidget=0x4844330, grab=<value optimized out>, type=QEvent::KeyPress, code=83, modifiers=<value optimized out>, text=..., autorepeat=false, count=1, nativeScanCode=39, nativeVirtualKey=115, nativeModifiers=20) at kernel/qkeymapper_x11.cpp:1866
#37 0x00007f277d857681 in QKeyMapperPrivate::translateKeyEvent (this=<value optimized out>, keyWidget=0x4844330, event=<value optimized out>, grab=false) at kernel/qkeymapper_x11.cpp:1836
#38 0x00007f277d833db4 in QApplication::x11ProcessEvent (this=0x7fff7b52fa40, event=0x7fff7b52f3f0) at kernel/qapplication_x11.cpp:3480
#39 0x00007f277d85b6f2 in x11EventSourceDispatch (s=0x63eec0, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#40 0x00007f2777f805f3 in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#41 0x00007f2777f80dd0 in ?? () from /usr/lib64/libglib-2.0.so.0
#42 0x00007f2777f8106d in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#43 0x00007f277e3fdb5f in QEventDispatcherGlib::processEvents (this=0x63a000, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:422
#44 0x00007f277d85b39e in QGuiEventDispatcherGlib::processEvents (this=<value optimized out>, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#45 0x00007f277e3d1e62 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#46 0x00007f277e3d20ac in QEventLoop::exec (this=0x7fff7b52f6f0, flags=...) at kernel/qeventloop.cpp:201
#47 0x00007f277e3d655b in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1008
#48 0x000000000040c10d in main (argc=<value optimized out>, argv=0x7fff00000000) at /var/tmp/portage/dev-util/kdevelop-9999/work/kdevelop-9999/app/main.cpp:474

Reported using DrKonqi
Comment 1 Eric Thiele 2011-06-08 07:53:48 UTC
Sorry CommitChanges was wrong the button is labeled "Commit Current Project"
Comment 2 Aleix Pol 2011-06-08 19:54:58 UTC
Git commit 11cb9cacb60f566c584f5c410106f9d681112e12 by Aleix Pol.
Committed on 08/06/2011 at 20:48.
Pushed by apol into branch 'master'.

Prevent crashing when trying to update the current patch.

BUG: 275145

M  +4    -2    plugins/patchreview/patchreview.cpp     

http://commits.kde.org/kdevplatform/11cb9cacb60f566c584f5c410106f9d681112e12